Please sync psad 2.1.4-1 (universe) from Debian unstable (main).

Bug #261017 reported by Nathan Handler on 2008-08-25
4
Affects Status Importance Assigned to Milestone
psad (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: psad

Please sync psad 2.1.4-1 (universe) from Debian unstable (main).

Explanation of the Ubuntu delta and why it can be dropped:
The fix for the failure to remove psad if /var/run/psad doesn't exist has been applied upstream in Debian. We can drop the other Ubuntu change, modifying the Maintainer field.

Changelog since current intrepid version 2.1.3-1.1ubuntu1:

psad (2.1.4-1) unstable; urgency=low

  * New upstream release
  * Acknowledge NMU.

 -- Daniel Gubser <email address hidden> Mon, 25 Aug 2008 14:10:58 +0200

psad (2.1.3-1.2) unstable; urgency=low

  * applied patch for removing psad with /var/run/ mounted as tmpfs
    (Closes: #491558)

 -- Daniel Gubser <email address hidden> Fri, 22 Aug 2008 17:09:30 +0200

Changed in psad:
importance: Undecided → Wishlist

[Updating] psad (2.1.3-1.1ubuntu1 [Ubuntu] < 2.1.4-1 [Debian])
 * Trying to add psad...
  - <psad_2.1.4-1.dsc: downloading from http://ftp.debian.org/debian/>
  - <psad_2.1.4-1.diff.gz: downloading from http://ftp.debian.org/debian/>
  - <psad_2.1.4.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
I: psad [universe] -> psad_2.1.3-1.1ubuntu1 [universe].

Changed in psad:
status: New → Fix Released
Steve Langasek (vorlon) wrote :

mmm, sorry, rolling back as I see this is not the version that was acked. Daniel, can you please confirm whether this ack also applies for version 2.1.4-1 now in unstable?

Changed in psad:
status: Fix Released → Incomplete
Daniel Holbach (dholbach) wrote :

Nathan, do you think you can roll this through the FFe process? From a sponsoring process it's OK and judging by the ChangeLog it contains a good bunch of bug fixes.

Nathan Handler (nhandler) wrote :
description: updated
Nathan Handler (nhandler) wrote :
Nathan Handler (nhandler) wrote :
Nathan Handler (nhandler) wrote :
Nathan Handler (nhandler) wrote :

I have updated the sync request to be for 2.1.4-1 instead of 2.1.3-1.2. I have also attached all of the required information that is needed for a Freeze Exception. If there is any other information that is needed, or something I should have done differently, please let me know. This is my first Freeze Exception request.

Changed in psad:
status: Incomplete → New
Luca Falavigna (dktrkranz) wrote :

The big change here is moving several directories to deps/, this lead to a big diff between 2.1.3 and 2.1.4.

Moving deps/* to parent directory and launching diffstat, changes are limited:
 CREDITS | 6
 ChangeLog | 22
 ChangeLog.svn | 374 -
 INSTALL | 119
 README | 128
 VERSION | 2
 install.pl | 94
 nf2csv | 4
 packaging/cd_rpmbuilder | 36
 packaging/psad-nodeps.spec | 294 +
 packaging/psad.spec | 26
 psad | 79
 snort_rules/bleeding-all.rules | 4764 -----------------
 snort_rules/emerging-all.rules |11151 +++++++++++++++++++++++++++++++++++++++++

Anyway, moving things to deps/ could lead to some issues (e.g. nonfunctional package, missing links, and so on). Did you do tests on psad to see if everything is fine? Could you please report them to us?

Cesare Tirabassi (norsetto) wrote :

I'd also check if this actually work on Ubuntu (it uses /var/run which is a tmpfs in Ubuntu).

Changed in psad:
status: New → Incomplete
Nathan Handler (nhandler) wrote :

Sorry for the long delay, the replies to this bug got lost in my many emails. Unfortunately, I am unable to perform any testing currently. This is due to an unrelated issue on my computer that is preventing me from installing any new packages (or upgrading any packages). Unless someone else is able to test this package, it might be better to wait to upload it until jaunty. That way, we can get in some testing, and fix any issues that might be found.

Steve Langasek (vorlon) wrote :

unsubscribing ubuntu-archive, since this is not currently a candidate for syncing.

Luca Falavigna (dktrkranz) wrote :

I unsubscribe motu-release too for now. If someone is interested to bring new version in Intrepid, please address above comments and then resubscribe the team, thanks!

It's fine to sync it now for jaunty.

Changed in psad:
status: Incomplete → New
Changed in psad:
status: New → Confirmed
Steve Langasek (vorlon) wrote :

[Updating] psad (2.1.3-1.1ubuntu1 [Ubuntu] < 2.1.4-1 [Debian])
 * Trying to add psad...
  - <psad_2.1.4-1.dsc: downloading from http://ftp.debian.org/debian/>
  - <psad_2.1.4-1.diff.gz: downloading from http://ftp.debian.org/debian/>
  - <psad_2.1.4.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
I: psad [universe] -> psad_2.1.3-1.1ubuntu1 [universe].

Changed in psad:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers